/**************************************************************************/
// Copyright (c) 1998-2007 Autodesk, Inc.
// All rights reserved.
// 
// These coded instructions, statements, and computer programs contain
// unpublished proprietary information written by Autodesk, Inc., and are
// protected by Federal copyright law. They may not be disclosed to third
// parties or copied or duplicated in any form, in whole or in part, without
// the prior written consent of Autodesk, Inc.
//**************************************************************************/
// DESCRIPTION: Appwizard generated plugin
// AUTHOR: 
//***************************************************************************/
#ifndef  __EXPORTEROPTION_H
#define	 __EXPORTEROPTION_H

#include "Max.h"
#include "resource.h"

#define STRING2(x) #x
#define STRING(x) STRING2(x)
#define TODO(x) __FILE__ "(" STRING(__LINE__) "): TODO: "x

class ExporterOption
{
private:
	// Our options
	bool m_bExportObject;
	bool m_bExportAnimation;
	bool m_bForceSample;
	bool m_bExportMaterial;
	bool m_bExportTexture;

public:
	ExporterOption();
	~ExporterOption();

	// Calling this functions will pop
	// the options dialog for this exporter.
	// If this function returns false, cancel the export
	int ShowDialog();

	bool ExportAnimation() { return m_bExportAnimation; }
	bool ExportObject() { return m_bExportObject; }
	bool ForceSample() { return m_bForceSample; };
	bool ExportMaterial() { return m_bExportMaterial; }
	bool ExportTexture() { return m_bExportTexture; }

private:

	// Our WndProc callback for the options dlg
	static INT_PTR CALLBACK DialogProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
};


#endif

